% Table1_Regression.m   Generates Table 1 in the paper
% Description: See notes in Table 1.
% Output: A file "Table1_Regression.csv" with the regression results.

% Previous name: Code/SymmetricCase/RegressionTables1.m
% Dependent files: SingleProduct.m


s_cs=linspace(0.01,0.99,10);
n_cs=[3 4 5 6 7 8 9 10 20 100];
[s_g,n_g,dc_g,g_g,df_g] = ndgrid(s_cs,n_cs,s_cs,s_cs,s_cs);
s=s_g(:);
n=n_g(:);
dc=dc_g(:);
g=g_g(:);
df=df_g(:);
g=g_g(:)*2.5;

[beta,res]=SingleProduct(s,df,dc,n,g);
n_hat=1-n.^(-1);
[col1,bint,r,rint,stats] = regress(res.pss0,[ones(size(s)) s g n_hat dc df]);
r2_1=stats(1);
[col2,bint,r,rint,stats] = regress(res.pss0,[ones(size(s)) s s.*g s.*n_hat s.*dc s.*df s.^2]);
r2_2=stats(1);
[col3,bint,r,rint,stats] = regress(res.pss0,[ones(size(s)) s s.*g s.*n_hat s.*dc s.*df s.^2 s.*g.^2 s.*g.*n_hat s.*g.*dc s.*g.*df s.^2.*g s.*g.*n_hat.*n_hat s.*n_hat.*dc s.*n_hat.*df s.^2.*n_hat s.*dc.*dc s.*dc.*df s.^2.*dc s.*df.*df s.^2.*df s.^3]);
r2_3=stats(1);
table1=nan(28,3);
table1(1:6,1)=col1;
table1(1:2,2)=col2(1:2);
table1(7:11,2)=col2(3:7);
table1(1:2,3)=col3(1:2);
table1(7:26,3)=col3(3:22);
table1(28,1:3)=[r2_1 r2_2 r2_3];
disp(table1);

[col1,bint,r,rint,stats] = regress(res.CACcons+res.pss0,[ones(size(s)) s g n_hat dc df]);
r2_1=stats(1);
[col2,bint,r,rint,stats] = regress(res.CACcons+res.pss0,[ones(size(s)) s s.*g s.*n_hat s.*dc s.*df s.^2]);
r2_2=stats(1);
[col3,bint,r,rint,stats] = regress(res.CACcons+res.pss0,[ones(size(s)) s s.*g s.*n_hat s.*dc s.*df s.^2 s.*g.^2 s.*g.*n_hat s.*g.*dc s.*g.*df s.^2.*g s.*g.*n_hat.*n_hat s.*n_hat.*dc s.*n_hat.*df s.^2.*n_hat s.*dc.*dc s.*dc.*df s.^2.*dc s.*df.*df s.^2.*df s.^3]);
r2_3=stats(1);
table2=nan(28,3);
table2(1:6,1)=col1;
table2(1:2,2)=col2(1:2);
table2(7:11,2)=col2(3:7);
table2(1:2,3)=col3(1:2);
table2(7:26,3)=col3(3:22);
table2(28,1:3)=[r2_1 r2_2 r2_3];
disp(table2);

csvwrite('Table1_Regression.csv',[table1 table2]);



