% Table2_Regression.m   Generates Table 2 in the paper
% Description: See notes in Table 2.
% Output: A file "Table2_Regression.csv" with the regression results.

% Previous name: Code/MergerEffect/Regressions.do
% Dependent files: mergerpass1.m

load mergerpass1
AddWelfare
table=[];
n_g(100001:length(n_g))=NaN;
for n=3:12
    [estimate,~,~,~,stats]=regress(APm_intercept(n_g==n),[ones(sum(n_g==n),1) APp_intercept(n_g==n)]);
    line=[n estimate' stats(1) min(APp_intercept(n_g==n)) max(APp_intercept(n_g==n))];
    table=[table;line];
end

for n=3:12
    [estimate,~,~,~,stats]=regress(CWm_intercept(n_g==n),[ones(sum(n_g==n),1) CWp_intercept(n_g==n)]);
    line=[n estimate' stats(1) min(CWp_intercept(n_g==n)) max(CWp_intercept(n_g==n))];
    table=[table;line];
end


csvwrite('Table2_Regression.csv',table);
