% exec_mergerpass1.m
% Script that generates the grid used for Table 2 and Figures 2 and 3, runs
% the code to calculate the equilibrium in linear strategies and saves the
% results as mergerpass1.mat
% Dependent Files: mergerpass.m

s_cs=linspace(0.01,0.99,10);
n_cs=[3 4 5 6 7 8 9 10 11 12];
[s_g,n_g,dc_g,g_g,df_g] = ndgrid(s_cs,n_cs,s_cs,s_cs,s_cs);
grid=numel(s_g);

    s_g=s_g(:);
    n_g=n_g(:);
    dc_g=dc_g(:);
    g_g=g_g(:)*2.5;
    df_g=df_g(:);
    
%extreme values
s_cs=[0.00001 0.999999];
g_cs=[0.00001 1 9999];
[s_g2,n_g2,dc_g2,g_g2,df_g2] = ndgrid(s_cs,n_cs,s_cs,g_cs,s_cs);

    s_g=[s_g(:);s_g2(:)];
    n_g=[n_g(:);n_g2(:)];
    dc_g=[dc_g(:);dc_g2(:)];
    g_g=[g_g(:);g_g2(:)];
    df_g=[df_g(:);df_g2(:)];

%static case
d_cs=[0.5];
g_cs=[1];
[s_g2,n_g2,dc_g2,g_g2,df_g2] = ndgrid(0,n_cs,d_cs,g_cs,d_cs);

    s_g=[s_g(:);s_g2(:)];
    n_g=[n_g(:);n_g2(:)];
    dc_g=[dc_g(:);dc_g2(:)];
    g_g=[g_g(:);g_g2(:)];
    df_g=[df_g(:);df_g2(:)];

%[beta,kappap,kappad,pss0,m0s,v2s,m0m,m1mb,v0m,v1mb,v2md,...
%    v2mv,eEd,eEs,eBd,eBs,cov1,cov2d,cov2v]=mergerpass(s_g,df_g,dc_g,n_g,g_g);
[omega_m,phi_m,lambda1,lambda2,mp_intercept,mp_cscm,...
    cpc_cscm,cpc_cscm2,cpc_sig2,vp_intercept,vp_cscm,vp_cscm2,...
    vp_sig2,r]=mergerpass(s_g,df_g,dc_g,n_g,g_g);

save mergerpass1.mat
